<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\nuevo\Proyecto\UnidadProyecto;
use Incoviba\Common\Alias\NewModel;
use Incoviba\nuevo\Inmobiliaria\CuentaContable;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property UnidadProyecto unidad_proyecto_id
 * @property int piso
 * @property string linea
 * @property string numeracion
 * @property string orientacion
 *
 */
class Unidad extends NewModel
{
	protected static $_table = 'unidades';
	
    public function unidadProyecto()
    {
    	return $this->belongsTo(UnidadProyecto::class, 'unidad_proyecto_id')->findOne();
    }
	public function uPropiedad()
	{
		$up = $this->hasMany(UnidadPropiedad::class, 'unidad_id');
		if ($up) {
			return $up->findOne();
		}
		return null;
	}
	public function propiedad()
	{
		$prop = $this->hasMany(Propiedad::class, 'unidad_id');
		if ($prop) {
			return $prop->findOne();
		}
		return null;
	}
	public function cuentas()
	{
		return $this->belongsTo(CuentaContable::class, 'cuenta_unidades', 'unidad_id', 'cuenta_id')->findMany();
	}
}
